Package com.independentsoft.office.spreadsheet.drawing

# Class ClientData

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.ClientData

public class ClientData extends Object
The Class ClientData.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientData()`
  Instantiates a new client data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientData`
  `clone()`
  `boolean`
  `isLockWithSheetFlag()`
  Checks if is lock with sheet flag.
  `boolean`
  `isPrintWithSheetFlag()`
  Checks if is prints the with sheet flag.
  `void`
  `setLockWithSheetFlag​(boolean lockWithSheetFlag)`
  Sets the lock with sheet flag.
  `void`
  `setPrintWithSheetFlag​(boolean printWithSheetFlag)`
  Sets the prints the with sheet flag.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientData

    public ClientData()
    Instantiates a new client data.

- ## Method Details

  - ### clone

    public ClientData clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isLockWithSheetFlag

    public boolean isLockWithSheetFlag()
    Checks if is lock with sheet flag.
    Returns:
      true, if is lock with sheet flag

  - ### setLockWithSheetFlag

    public void setLockWithSheetFlag​(boolean lockWithSheetFlag)
    Sets the lock with sheet flag.
    Parameters:
      `lockWithSheetFlag` - the new lock with sheet flag

  - ### isPrintWithSheetFlag

    public boolean isPrintWithSheetFlag()
    Checks if is prints the with sheet flag.
    Returns:
      true, if is prints the with sheet flag

  - ### setPrintWithSheetFlag

    public void setPrintWithSheetFlag​(boolean printWithSheetFlag)
    Sets the prints the with sheet flag.
    Parameters:
      `printWithSheetFlag` - the new prints the with sheet flag